> For the complete documentation index, see [llms.txt](https://docs.cheqd.io/product/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cheqd.io/product/getting-started/studio/token-top-up.md).

# Token Top Up

Manually Top Up Your Account with CHEQ.

Users may exhaust their usage limits in their cheqd Studio billing plan, but may want to continue using the Studio before their usage limits refresh. Therefore, users can manually top up their account with CHEQ tokens to use any APIs that involve a ledger-write, e.g:

1. Creating, Updating or Deactivating DIDs
2. Creating unencrypted or encrypted Status Lists
3. Creating Trust Registries
4. Creating other DID-Linked Resources

## Step 1: Locate your cheqd address (for CHEQ)

The following API can be used to fetch the new account information:

* `customer_id` is used as an identifier for the particular customer using cheqd Studio. It is generated as a sub-field of the JWT token used in the authorization header.
* `cheqd_account` is used to pay for identity transactions on either `testnet` or `mainnet`. A cheqd account is automatically generated when a new `customer_id` is generated.

{% openapi src="<https://raw.githubusercontent.com/cheqd/credential-service/main/src/static/swagger-api.json>" path="/account" method="get" expanded="true" %}
<https://raw.githubusercontent.com/cheqd/credential-service/main/src/static/swagger-api.json>
{% endopenapi %}

## Step 2: Adding CHEQ tokens to your account

If you exceed the usage limits in your cheqd Studio billing plan but want to continue using ledger-based functionality before your limits reset, you can manually top up your account using **CHEQ tokens**.

If you need to add CHEQ tokens to your cheqd Studio `cheqd_account`, there are a few steps you need to follow:

<details>

<summary>Mainnet</summary>

* First you need to [setup your wallet](/product/network/wallets.md) which is able to hold CHEQ tokens. We recommend using [Leap Wallet](https://www.leapwallet.io/) which natively supports all CHEQ transactions in a browser plugin or on mobile. Alternatively, follow the [tutorial here to setup your Keplr wallet](/product/network/wallets/keplr-setup.md).
* You will then need to [get CHEQ tokens from any of the listed providers here](https://cheqd.io/get-involved/).
* You will need to send CHEQ tokens from your new cheqd Wallet account to your `cheqd_account` address for using the Credential Service.

</details>

<details>

<summary>Testnet</summary>

* It is unlikely that you will ever need to top up your Testnet account, as this is handled automatically. However, in the event that your Testnet account runs out of tokens, you can follow the step below.
* This is super simple. You can add free CHEQ tokens to your cheqd\_account [via our Testnet Faucet](/product/network/tools/testnet-faucet.md). Log in to [cheqd Studio](https://studio.cheqd.net/), open the **Account** tab in the left sidebar, select **Balances & Faucet** and request testnet tokens. The tokens are sent to the wallet address tied to your cheqd Studio account.

</details>

Once you have successfully created an account and have topped up your CHEQ tokens, you are ready to get started!

## Step 3: Continue using cheqd

Get started with our tutorials for cheqd Studio functionality.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>DIDs and Identity Keys</strong></mark></td><td>Create <code>did:cheqd</code> DIDs for credential issuers and for DID-Linked Resources</td><td><a href="/product/studio/dids/create-did.md">Create a DID</a></td></tr><tr><td><mark style="color:blue;"><strong>Trust Registries</strong></mark></td><td>Create an end-to-end trusted ecosystem, using Trust Chains to build a full Trust Registry.</td><td><a href="/product/studio/trust-registries.md">Build Trust Registries</a></td></tr><tr><td><mark style="color:blue;"><strong>Payments</strong></mark></td><td>Create commercial models for verifiable credentials, such as verifier-pays-issuer</td><td><a href="/product/studio/payments.md">Charge for Verifiable Credentials</a></td></tr><tr><td><mark style="color:blue;"><strong>Status Lists</strong></mark></td><td>Create status lists, including Status List v2021 and Token Status List</td><td><a href="/product/studio/status-lists.md">Create Status Lists</a></td></tr><tr><td><mark style="color:blue;"><strong>Credentials</strong></mark></td><td>Issue any type of credential, including SD-JWT, VCDM and AnonCreds via our partners, including trust registries, status lists and payments.</td><td><a href="/product/studio/credentials.md">Issue Credentials and Presentations</a></td></tr><tr><td><mark style="color:blue;"><strong>Resources</strong></mark></td><td>Create custom resources for policies, presentation definitions, schemas and visual representations of credentials</td><td><a href="/product/studio/did-linked-resources.md">Create DID-Linked Resources</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cheqd.io/product/getting-started/studio/token-top-up.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
